Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 60)
@@ -142,6 +142,7 @@
     <Compile Include="DataModel\DepositApprovalInfo.cs" />
     <Compile Include="DataModel\DepositData.cs" />
     <Compile Include="DataModel\DepositDataDetail.cs" />
+    <Compile Include="DataModel\InvoiceData.cs" />
     <Compile Include="DataModel\MaterialInfo.cs" />
     <Compile Include="DataModel\MaterialItemMaster.cs" />
     <Compile Include="DataModel\MaterialKindMaster.cs" />
@@ -176,7 +177,7 @@
     <Compile Include="DataModel\RequestData.cs" />
     <Compile Include="DataModel\RequestDataDetail.cs" />
     <Compile Include="DataModel\RequestGridKeys.cs" />
-    <Compile Include="DataModel\RequestTotalData.cs" />
+    <Compile Include="DataModel\RequestHead.cs" />
     <Compile Include="DataModel\SubContractorJobCategory.cs" />
     <Compile Include="DataModel\SubContractorJobILink.cs" />
     <Compile Include="DataModel\SuppliersMaster.cs" />
@@ -192,6 +193,7 @@
     <Compile Include="DB\IOAccess\IODepositApprovalInfo.cs" />
     <Compile Include="DB\IOAccess\IODepositData.cs" />
     <Compile Include="DB\IOAccess\IODepositDataDetail.cs" />
+    <Compile Include="DB\IOAccess\IOInvoiceData.cs" />
     <Compile Include="DB\IOAccess\IOMaterialInfo.cs" />
     <Compile Include="DB\IOAccess\IOMaterialItem.cs" />
     <Compile Include="DB\IOAccess\IOMaterialRecordInfo.cs" />
@@ -206,7 +208,7 @@
     <Compile Include="DB\IOAccess\IOProcessApprovalDetail.cs" />
     <Compile Include="DB\IOAccess\IORequestData.cs" />
     <Compile Include="DB\IOAccess\IORequestDataDetail.cs" />
-    <Compile Include="DB\IOAccess\IORequestTotalData.cs" />
+    <Compile Include="DB\IOAccess\IORequestHead.cs" />
     <Compile Include="DB\MySql\MySqlProcess.cs" />
     <Compile Include="Forms\DataEntry\ConstructionBaseInfo\DataChange.cs">
       <SubType>Form</SubType>
@@ -507,6 +509,18 @@
     <Compile Include="Forms\DataEntry\Request\FrmSelectRequest.Designer.cs">
       <DependentUpon>FrmSelectRequest.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelOrderer.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelOrderer.Designer.cs">
+      <DependentUpon>FrmEntryReqSelOrderer.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelRequest.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelRequest.Designer.cs">
+      <DependentUpon>FrmEntryReqSelRequest.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\DataEntry\Request\RequestInput\FrmRequestInput.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -516,9 +530,6 @@
     <Compile Include="Forms\DataEntry\Request\RequestInput\FrmRequestInputAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmRequestInputDefinitions.cs">
-      <SubType>Form</SubType>
-    </Compile>
     <Compile Include="Forms\DataEntry\Request\RequestInput\ProcessControl.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -531,6 +542,12 @@
     <Compile Include="Forms\DataEntry\Request\RequestSummaryList\FrmRequestSummaryListAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
+    <Compile Include="Forms\DataEntry\Request\SalesConfirm\FrmSalesConfirm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\SalesConfirm\FrmSalesConfirm.Designer.cs">
+      <DependentUpon>FrmSalesConfirm.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\DataEntry\Request\SelectPayment\FrmSelectPayment.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1208,6 +1225,12 @@
     <EmbeddedResource Include="Forms\DataEntry\Request\FrmSelectRequest.resx">
       <DependentUpon>FrmSelectRequest.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelOrderer.resx">
+      <DependentUpon>FrmEntryReqSelOrderer.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\RequestEntry\FrmEntryReqSelRequest.resx">
+      <DependentUpon>FrmEntryReqSelRequest.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\Request\RequestInput\FrmRequestInput.resx">
       <DependentUpon>FrmRequestInput.cs</DependentUpon>
     </EmbeddedResource>
@@ -1214,6 +1237,9 @@
     <EmbeddedResource Include="Forms\DataEntry\Request\RequestSummaryList\FrmRequestSummaryList.resx">
       <DependentUpon>FrmRequestSummaryList.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\SalesConfirm\FrmSalesConfirm.resx">
+      <DependentUpon>FrmSalesConfirm.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\Request\SelectPayment\FrmSelectPayment.resx">
       <DependentUpon>FrmSelectPayment.cs</DependentUpon>
     </EmbeddedResource>
@@ -1464,8 +1490,6 @@
       <DependentUpon>Resources.resx</DependentUpon>
       <DesignTime>True</DesignTime>
     </Compile>
-    <None Include="DB\Core\ABaseDBProcess.cs.bak" />
-    <None Include="DB\Core\DBCommon.cs.bak" />
     <None Include="ProcessManage001.doc">
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
     </None>
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 60)
@@ -3,7 +3,7 @@
   <PropertyGroup>
     <ReferencePath>
     </ReferencePath>
-    <ProjectView>ProjectFiles</ProjectView>
+    <ProjectView>ShowAllFiles</ProjectView>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
     <StartArguments>/NOCHECK</StartArguments>
